Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.diagnostics.context
Interface DiagnosticContextConstants

All Known Implementing Classes:
  DiagnosticContextHelper

    public interface DiagnosticContextConstants

This interface defines the indices of dye flags supported by the the WebLogic diagnostics system. Dyes are carried by the diagnostic contexts created for requests flowing through the system.

Field Summary
`static byte` | `ADDR1` The dye flags ADDR1, ADDR2, ADDR3 and ADDR4 are set in the diagnostic context for a request, if the request was originated from an IP address specified by the respective property (ADDR1, ADDR2, ADDR3, ADDR4) of the DyeInjection monitor.
`static byte` | `ADDR2`
`static byte` | `ADDR3`
`static byte` | `ADDR4`
`static byte` | `CONNECTOR1` The dye flags CONNECTOR1, CONNECTOR2, CONNECTOR3 and CONNECTOR4 are set by the connector drivers to identify request properties specific to their situations.
`static byte` | `CONNECTOR2`
`static byte` | `CONNECTOR3`
`static byte` | `CONNECTOR4`
`static byte` | `COOKIE1` The dye flags COOKIE1, COOKIE2, COOKIE3 and COOKIE4 are set in the diagnostic context for an HTTP/S request, if it contains the cookie named "weblogic.diagnostics.dye" and its value is equal to the value of the respective property (COOKIE1, COOKIE2, COOKIE3, COOKIE4) of the DyeInjection monitor.
`static byte` | `COOKIE2`
`static byte` | `COOKIE3`
`static byte` | `COOKIE4`
`static byte` | `DYE_0` Dye flags DYE_0 to DYE_7 are available for use by application developers.
`static byte` | `DYE_1`
`static byte` | `DYE_2`
`static byte` | `DYE_3`
`static byte` | `DYE_4`
`static byte` | `DYE_5`
`static byte` | `DYE_6`
`static byte` | `DYE_7`
`static byte` | `PROTOCOL_HTTP` The dye PROTOCOL_HTTP will be set in the diagnostic context of a request if the request uses http or https protocol
`static byte` | `PROTOCOL_IIOP` The dye PROTOCOL_IIOP will be set in the diagnostic context of a request if it uses IIOP.
`static byte` | `PROTOCOL_JRMP` The dye PROTOCOL_JRMP will be set in the diagnostic context of a request if it uses JRMP.
`static byte` | `PROTOCOL_RMI` The dye PROTOCOL_RMI will be set in the diagnostic context of a request if it uses RMI.
`static byte` | `PROTOCOL_SSL` The dye PROTOCOL_SSL will be set in the diagnostic context of a request if it uses SSL.
`static byte` | `PROTOCOL_T3` The dye PROTOCOL_T3 will be set in the diagnostic context of a request if the request uses t3 or t3s protocol
`static byte` | `THROTTLE` The dye THROTTLE will be set in the diagnostic context of a request by the DyeInjection monitor, if it satisfies requirements specified by THROTTLE_INTERVAL and/or THROTTLE_RATE properties of the DyeInjection monitor.
`static byte` | `USER1` The dye flags USER1, USER2, USER3 and USER4 are set in the diagnostic context for a request, if the request was originated by a user specified by the respective property (USER1, USER2, USER3, USER4) of the DyeInjection monitor.
`static byte` | `USER2`
`static byte` | `USER3`
`static byte` | `USER4`

Field Detail

### ADDR1

    static final byte ADDR1

  The dye flags ADDR1, ADDR2, ADDR3 and ADDR4 are set in the diagnostic context for a request, if the request was originated from an IP address specified by the respective property (ADDR1, ADDR2, ADDR3, ADDR4) of the DyeInjection monitor. For example, if the DyeInjection monitor is configured with:

  ADDR1=127.0.0.1
  ADDR4=192.168.0.10

  and if the request was originated from 127.0.0.1 then ADDR1 dye in the diagnostic context will be set. On the other hand, if the request was originated from 192.168.0.10, then ADDR4 dye will be set in the diagnostic context.

  See Also:
    Constant Field Values

### ADDR2

    static final byte ADDR2

See Also:
  `DiagnosticContextConstants.ADDR1`, Constant Field Values

### ADDR3

    static final byte ADDR3

See Also:
  `DiagnosticContextConstants.ADDR1`, Constant Field Values

### ADDR4

    static final byte ADDR4

See Also:
  `DiagnosticContextConstants.ADDR1`, Constant Field Values

### USER1

    static final byte USER1

  The dye flags USER1, USER2, USER3 and USER4 are set in the diagnostic context for a request, if the request was originated by a user specified by the respective property (USER1, USER2, USER3, USER4) of the DyeInjection monitor. For example, if the DyeInjection monitor is configured with:

  USER1=john
  USER4=jane

  and if the request was originated by user "john" then USER1 dye in the diagnostic context will be set. On the other hand, if the request was originated by user "jane", then USER4 dye will be set in the diagnostic context.

  See Also:
    Constant Field Values

### USER2

    static final byte USER2

See Also:
  `DiagnosticContextConstants.USER1`, Constant Field Values

### USER3

    static final byte USER3

See Also:
  `DiagnosticContextConstants.USER1`, Constant Field Values

### USER4

    static final byte USER4

See Also:
  `DiagnosticContextConstants.USER1`, Constant Field Values

### COOKIE1

    static final byte COOKIE1

  The dye flags COOKIE1, COOKIE2, COOKIE3 and COOKIE4 are set in the diagnostic context for an HTTP/S request, if it contains the cookie named "weblogic.diagnostics.dye" and its value is equal to the value of the respective property (COOKIE1, COOKIE2, COOKIE3, COOKIE4) of the DyeInjection monitor. For example, if the DyeInjection monitor is configured with:

  COOKIE1=foo
  COOKIE4=bar

  and if the HTTP/S request has a cookie "weblogic.diagnostics.dye" with value "foo" then dye COOKIE1 will be set in the diagnostic context. If the value of the "weblogic.diagnostics.dye" is "bar" then dye COOKIE4 will be set in the diagnostic context.

  See Also:
    Constant Field Values

### COOKIE2

    static final byte COOKIE2

See Also:
  `DiagnosticContextConstants.COOKIE1`, Constant Field Values

### COOKIE3

    static final byte COOKIE3

See Also:
  `DiagnosticContextConstants.COOKIE1`, Constant Field Values

### COOKIE4

    static final byte COOKIE4

See Also:
  `DiagnosticContextConstants.COOKIE1`, Constant Field Values

### PROTOCOL_T3

    static final byte PROTOCOL_T3

  The dye PROTOCOL_T3 will be set in the diagnostic context of a request if the request uses t3 or t3s protocol

  See Also:
    Constant Field Values

### PROTOCOL_HTTP

    static final byte PROTOCOL_HTTP

  The dye PROTOCOL_HTTP will be set in the diagnostic context of a request if the request uses http or https protocol

  See Also:
    Constant Field Values

### PROTOCOL_RMI

    static final byte PROTOCOL_RMI

  The dye PROTOCOL_RMI will be set in the diagnostic context of a request if it uses RMI.

  See Also:
    Constant Field Values

### PROTOCOL_IIOP

    static final byte PROTOCOL_IIOP

  The dye PROTOCOL_IIOP will be set in the diagnostic context of a request if it uses IIOP.

  See Also:
    Constant Field Values

### PROTOCOL_JRMP

    static final byte PROTOCOL_JRMP

  The dye PROTOCOL_JRMP will be set in the diagnostic context of a request if it uses JRMP.

  See Also:
    Constant Field Values

### PROTOCOL_SSL

    static final byte PROTOCOL_SSL

  The dye PROTOCOL_SSL will be set in the diagnostic context of a request if it uses SSL.

  See Also:
    Constant Field Values

### CONNECTOR1

    static final byte CONNECTOR1

  The dye flags CONNECTOR1, CONNECTOR2, CONNECTOR3 and CONNECTOR4 are set by the connector drivers to identify request properties specific to their situations. As such, WLDF does not assign any specific meaning to the connector specific dye flags.

  See Also:
    Constant Field Values

### CONNECTOR2

    static final byte CONNECTOR2

See Also:
  `DiagnosticContextConstants.CONNECTOR1`, Constant Field Values

### CONNECTOR3

    static final byte CONNECTOR3

See Also:
  `DiagnosticContextConstants.CONNECTOR1`, Constant Field Values

### CONNECTOR4

    static final byte CONNECTOR4

See Also:
  `DiagnosticContextConstants.CONNECTOR1`, Constant Field Values

### THROTTLE

    static final byte THROTTLE

  The dye THROTTLE will be set in the diagnostic context of a request by the DyeInjection monitor, if it satisfies requirements specified by THROTTLE_INTERVAL and/or THROTTLE_RATE properties of the DyeInjection monitor. If THROTTLE_INTERVAL is specified, this dye is set if the last request for which the dye was set arrived at least THROTTLE_INTERVAL milliseconds before this request. If THROTTLE_RATE is specified, for every THROTTLE_RATE'th request this dye will be set. If both THROTTLE_INTERVAL and THROTTLE_RATE are specified, the dye is set if either condition is met. If neither THROTTLE_INTERVAL nor THROTTLE_RATE are specified, the dye will be unconditionally set.

  See Also:
    Constant Field Values

### DYE_0

    static final byte DYE_0

  Dye flags DYE_0 to DYE_7 are available for use by application developers. They can set, reset or inspected in the diagnostic context using API provided by the the helper class DiagnosticContextHelper. As such, WLDF does not assign any specific meaning to these dyes. The meaning of these dyes is upto the applications.

  See Also:
    `DiagnosticContextHelper.isDyedWith(byte)`, `DiagnosticContextHelper.setDye(byte, boolean)`, Constant Field Values

### DYE_1

    static final byte DYE_1

See Also:
  `DiagnosticContextConstants.DYE_0`, Constant Field Values

### DYE_2

    static final byte DYE_2

See Also:
  `DiagnosticContextConstants.DYE_0`, Constant Field Values

### DYE_3

    static final byte DYE_3

See Also:
  `DiagnosticContextConstants.DYE_0`, Constant Field Values

### DYE_4

    static final byte DYE_4

See Also:
  `DiagnosticContextConstants.DYE_0`, Constant Field Values

### DYE_5

    static final byte DYE_5

See Also:
  `DiagnosticContextConstants.DYE_0`, Constant Field Values

### DYE_6

    static final byte DYE_6

See Also:
  `DiagnosticContextConstants.DYE_0`, Constant Field Values

### DYE_7

    static final byte DYE_7

See Also:
  `DiagnosticContextConstants.DYE_0`, Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD